#!/usr/bin/env python3

# Copyright (C) 2020 by ÿnérant, eichhornchen, nicomarg, charlse
# SPDX-License-Identifier: GPL-3.0-or-later
import argparse
import sys

from squirrelbattle.bootstrap import Bootstrap
from squirrelbattle.translations import Translator

if __name__ == "__main__":
    parser = argparse.ArgumentParser()

    parser.add_argument("--makemessages", "-mm", action="store_true",
                        help="Extract translatable strings")
    parser.add_argument("--compilemessages", "-cm", action="store_true",
                        help="Compile translatable strings")

    args = parser.parse_args(sys.argv[1:])
    if args.makemessages:
        Translator.makemessages()
    elif args.compilemessages:
        Translator.compilemessages()
    else:
        Bootstrap.run_game()
